summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/mechanize/Manifest1
-rw-r--r--dev-ruby/mechanize/mechanize-2.8.4.ebuild2
-rw-r--r--dev-ruby/mechanize/mechanize-2.8.5.ebuild45
-rw-r--r--dev-ruby/multipart-post/Manifest1
-rw-r--r--dev-ruby/multipart-post/multipart-post-2.2.2.ebuild29
-rw-r--r--dev-ruby/rails-dom-testing/rails-dom-testing-2.0.3-r2.ebuild4
-rw-r--r--dev-ruby/rails-html-sanitizer/Manifest1
-rw-r--r--dev-ruby/rails-html-sanitizer/rails-html-sanitizer-1.4.2.ebuild2
-rw-r--r--dev-ruby/rails-html-sanitizer/rails-html-sanitizer-1.4.3.ebuild30
9 files changed, 111 insertions, 4 deletions
diff --git a/dev-ruby/mechanize/Manifest b/dev-ruby/mechanize/Manifest
index 0af6901d8988..b1f8cff58b4d 100644
--- a/dev-ruby/mechanize/Manifest
+++ b/dev-ruby/mechanize/Manifest
@@ -1,2 +1,3 @@
DIST mechanize-2.8.3.gem 142336 BLAKE2B 2d71d4ba4db477c5049df1f7847c12945a5926a6d3746bbfd680606ee10beb04c5528e3073b86996e20e82a1f9a00066fe772396141860e3fd65a59c977fea2b SHA512 be467e995fd0a943b8db1588862f82c3d04b55a830dd1ca1d6c6cb3f65e446c1dd5ecea62d57639192e6caa521450ee31ac683ff9038c06578cb74b9557b6736
DIST mechanize-2.8.4.gem 142336 BLAKE2B d09cdf7fcb250894b358c479dff60e6f72675574ce62e3f267717538761a322730b25798ea981ccb33eaa6617d88f96942be23ff5fdc6b4c35218b64569d97b5 SHA512 3b5a82d69070a8ad57e73527519efe91e5af8c9b3b75fcd38f598d37475ea8933b8799c12a6c59edd705936bdaab12fe1cd6cb024e165df99fe3cce18f0b7d01
+DIST mechanize-2.8.5.gem 142848 BLAKE2B 73fbf0ef6e3091bd37ace311415056bbc94ef22cfe5411b440faa791747faac349765db20c18a0133037e9564c061c13b250aa2a5677152d7fa0732d8a4a10cd SHA512 8ef26d80c7c55f564084eedf6c7255849ccf6efbb2e6ce11ddb3b5f8f3591861200041b89416ab3d8b9a8595c6c8de1f9c7e01b8e0c6b63265488498e2584c94
diff --git a/dev-ruby/mechanize/mechanize-2.8.4.ebuild b/dev-ruby/mechanize/mechanize-2.8.4.ebuild
index 1cea8314b068..81b808140577 100644
--- a/dev-ruby/mechanize/mechanize-2.8.4.ebuild
+++ b/dev-ruby/mechanize/mechanize-2.8.4.ebuild
@@ -14,7 +14,7 @@ HOMEPAGE="https://github.com/sparklemotion/mechanize"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~amd64 ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+KEYWORDS="amd64 ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
IUSE=""
ruby_add_bdepend ">=dev-ruby/hoe-3.7
diff --git a/dev-ruby/mechanize/mechanize-2.8.5.ebuild b/dev-ruby/mechanize/mechanize-2.8.5.ebuild
new file mode 100644
index 000000000000..1cea8314b068
--- /dev/null
+++ b/dev-ruby/mechanize/mechanize-2.8.5.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md EXAMPLES.rdoc GUIDE.rdoc README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A Ruby library used for automating interaction with websites"
+HOMEPAGE="https://github.com/sparklemotion/mechanize"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x86-solaris"
+IUSE=""
+
+ruby_add_bdepend ">=dev-ruby/hoe-3.7
+ test? ( dev-ruby/minitest:5 )"
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.8:0
+ >=dev-ruby/domain_name-0.5.20190701:0
+ >=dev-ruby/http-cookie-1.0.3:0
+ dev-ruby/mime-types:3
+ >=dev-ruby/net-http-digest_auth-1.4.1:0
+ || ( dev-ruby/net-http-persistent:4 dev-ruby/net-http-persistent:3 )
+ >=dev-ruby/nokogiri-1.11.2:0
+ >=dev-ruby/rubyntlm-0.6.3:0
+ >=dev-ruby/webrick-1.7:0
+ >=dev-ruby/webrobots-0.1.2 =dev-ruby/webrobots-0.1*
+"
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test -e '$VERBOSE=true; Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ docinto examples
+ dodoc examples/*
+}
diff --git a/dev-ruby/multipart-post/Manifest b/dev-ruby/multipart-post/Manifest
index 89f29bf2f17b..b3597319c805 100644
--- a/dev-ruby/multipart-post/Manifest
+++ b/dev-ruby/multipart-post/Manifest
@@ -1,2 +1,3 @@
DIST multipart-post-2.1.1.gem 13824 BLAKE2B 70a706714d14d284e2fa69aa56a69682e16eece75eb1508c1707b0b7f03b0d1fb11d1a187c7b7681dc0654a280c59bc20a0754d30e80807a4dfe5e56976b4ccc SHA512 afa16717ee136f0bbbc20fe243252831604740bb61fa7288a2437a4a67638f660a4bd491b5326b034173e9e8352f2659f27dc8aaa761721f7111b7e9e704582f
DIST multipart-post-2.2.0.tar.gz 12922 BLAKE2B fba8f4ed0e1ce691b9b7c8951c75507e0f8ddaa64f83404ae9b5550bcf6bda947ecae91cf826b7ba1602587e86c2eabe6cbccb4a38d5b6f8f1098b0757bb0168 SHA512 14ede50a2edf5b6344107d190f4985ad12267da57792dd04d448b5b7d53e01585751fdeed2680779b5152053e03cd6808c5bd84ac45a719ac6ec84ff76dc94bb
+DIST multipart-post-2.2.2.tar.gz 12943 BLAKE2B 8d5c085d5f59fbbee7028e857e129b9c0b87f0ff1d325d52efef9849e6fbeaae919b1fad37a81901c8b05c3f4563f62cfffd608ad7904a1d3adaa6f47c28653b SHA512 f1599f861aa9876b3a8e567a80f6fc3a9ef870aba549cf7eb5f988f2085a6cc3bedfa4cf833d48d392cbe34bca223118df201f003a0be2140b9a087b74e43454
diff --git a/dev-ruby/multipart-post/multipart-post-2.2.2.ebuild b/dev-ruby/multipart-post/multipart-post-2.2.2.ebuild
new file mode 100644
index 000000000000..2b3f4f702426
--- /dev/null
+++ b/dev-ruby/multipart-post/multipart-post-2.2.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_GEMSPEC="multipart-post.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Adds a streamy multipart form post capability to Net::HTTP"
+HOMEPAGE="https://github.com/socketry/multipart-post"
+SRC_URI="https://github.com/socketry/multipart-post/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="test"
+
+all_ruby_prepare() {
+ sed -i -e '/bundler/ s:^:#:' spec/spec_helper.rb || die
+
+ sed -i -e 's:_relative ":"./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+}
diff --git a/dev-ruby/rails-dom-testing/rails-dom-testing-2.0.3-r2.ebuild b/dev-ruby/rails-dom-testing/rails-dom-testing-2.0.3-r2.ebuild
index e9ad3e08cfa4..27f64b453065 100644
--- a/dev-ruby/rails-dom-testing/rails-dom-testing-2.0.3-r2.ebuild
+++ b/dev-ruby/rails-dom-testing/rails-dom-testing-2.0.3-r2.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-USE_RUBY="ruby26 ruby27 ruby30"
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
RUBY_FAKEGEM_EXTRADOC="README.md"
@@ -13,7 +13,7 @@ HOMEPAGE="https://github.com/kaspth/rails-dom-testing"
LICENSE="MIT"
SLOT="2"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
IUSE=""
ruby_add_rdepend "
diff --git a/dev-ruby/rails-html-sanitizer/Manifest b/dev-ruby/rails-html-sanitizer/Manifest
index 6bf168403213..d4b6b87bc65f 100644
--- a/dev-ruby/rails-html-sanitizer/Manifest
+++ b/dev-ruby/rails-html-sanitizer/Manifest
@@ -1,3 +1,4 @@
DIST rails-html-sanitizer-1.3.0.gem 16384 BLAKE2B ae0b9acfd4ffc53b84b92cb42c149022312112f90d64866de916be2b91b680ecfbbdc94d278626c992cc90b0061705c11c9a604f6d9e91092e1117e40e003e6d SHA512 01d67f750ffc6ac857e4dc47b77d66e02acc4488f353af97e2fc367590fe85107b631aaf8b32f61f9e1f375c93e1b24fbf966f738e35483f5174880a0ffe5ddb
DIST rails-html-sanitizer-1.4.1.gem 17408 BLAKE2B 4d503bad7a84aefe3bfbb1121eebe768ecf388f502e9ee58f2daf9d1a497ecfea2ad29e7bdd7c2b06e6914355b8eeaf2eeb730aadbceadebdd5a342b9fdc0969 SHA512 c778189fd3fdbdca4a586938d0f22b600f499a174d4d0e34567f0a2a92b8095a2c6c544e47cca3bd7d1f8ae09916898c200d4462de2d31f6bb8eb2c920ab69b4
DIST rails-html-sanitizer-1.4.2.gem 16896 BLAKE2B 97f09d43ad99c13c07c34c0f5c47e3b34983b94773923cf7d131d1115d818ede619fc0ef268c5523524c53178afde2c9ee2652617add6b4efc282d190591be80 SHA512 9f0872f1000c758918f66a889322d3393ec678604eb3b01fc21bbb861189ec04fcf05f5c9487bd5eeb63ce6d99a80064718c82bfce2daf25c07754979a2ed747
+DIST rails-html-sanitizer-1.4.3.gem 17920 BLAKE2B 2745ce137612337d4d85593b0af9a3e5102e399957b71dea366cc864a1acc66bb2bd099bd53701c71925ba64ae0287896bbd33eb64bb5ec22cbcbfb3173953dc SHA512 ead339d8ed5aefa737298d886a0db3c353254cfa57bdee7d2011f596ed2871dcad3bd16561728da2447e239fcaa908256bb6436493462bca6310a17a3812ffd9
diff --git a/dev-ruby/rails-html-sanitizer/rails-html-sanitizer-1.4.2.ebuild b/dev-ruby/rails-html-sanitizer/rails-html-sanitizer-1.4.2.ebuild
index e734cd19c106..060f48c8bf9a 100644
--- a/dev-ruby/rails-html-sanitizer/rails-html-sanitizer-1.4.2.ebuild
+++ b/dev-ruby/rails-html-sanitizer/rails-html-sanitizer-1.4.2.ebuild
@@ -13,7 +13,7 @@ HOMEPAGE="https://github.com/rafaelfranca/rails-html-sanitizer"
LICENSE="MIT"
SLOT="1"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
+KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
IUSE=""
ruby_add_rdepend ">=dev-ruby/loofah-2.3:0"
diff --git a/dev-ruby/rails-html-sanitizer/rails-html-sanitizer-1.4.3.ebuild b/dev-ruby/rails-html-sanitizer/rails-html-sanitizer-1.4.3.ebuild
new file mode 100644
index 000000000000..7aa360b9368a
--- /dev/null
+++ b/dev-ruby/rails-html-sanitizer/rails-html-sanitizer-1.4.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Sanitize HTML fragments in Rails applications"
+HOMEPAGE="https://github.com/rafaelfranca/rails-html-sanitizer"
+
+LICENSE="MIT"
+SLOT="1"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/loofah-2.3:0"
+
+ruby_add_bdepend "test? ( dev-ruby/rails-dom-testing )"
+
+all_ruby_prepare() {
+ # Avoid tests that depend on nokogiri patches to libxml2.
+ sed -i -e '/\(name_action\|attr\)_in_a_tag_in_safe_list_sanitizer/askip "libxml2"' test/sanitizer_test.rb || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e 'Dir["test/*_test.rb"].each{|f| require f}' || die
+}